Why Linux is Rubbish


Today I will be talking about Linux and in particular Ubuntu.

Just started to use linux – and its bloody rubbish because nothing works. For  a start you cant find ‘My computer’ or a way to access your drives. Here is an example what you see on logging onto linux:

Unless you poke around in the dark you wont find where the drives are hidden. You have to blindly poke around at the top of the screen only then a menu appears but doesn’t do anything unless you click on it. Once you poke around the menu you will find it under ‘Go’

Linux is a huge learning curve, even using Ubuntu – the latest version. The transition from Windows to Linux is slow. I am not against Mac’s or Linux but this is first-hand experience of using linux.

Linux is good for people who:

  • People who want easy security
  • People who want a unique look and feel
  • People who like the idea of open source software
  • Programmers who enjoy contributing to free open source software
  • People who only use the computer for basic needs and don’t want to be bothered by viruses and spyware.
  • People who don’t want to have to reboot because there computer starts “running slow” due toadware, spyware, bloatware, etc.

When I first installed linux I was presented with not only the above screen but Firefox. The problem with Firefox is no matter which operating system you use and how much memory the computer has it is slow. Upon trying to view TV channels I found firefox did not have the proper plugins installed such flash and javascript. As a result I was presented with the following:
Upon trying to update the plugins here is what I was presented with
The recommended plugin download site doesn’t exist
So, I went to the flash website and selected the ‘Apt for Ubuntu 10.04+’
Very cryptic and unfriendly user interface, not what I want to see, thank you.
upon clicking ‘use this source:
That is great!
After numerous attempts, I give up.
I then downloaded and installed Chrome. Hurray! Everything works. Maybe it is firefox that is the problem but anyway when installing plugins you do not get these issues in Windows.
  • when you click on anything in Ubuntu, its slow to respond or nothing happens, there is some response after several clicks.
  • Windows 7 looks and feels more 3D
been using Ubuntu all throughout the day today, and have to say the performance is very poor even though there is more than 1 Gb RAM. Slowness, unwilling to respond, sound quality, internet. Just dont know what other people are on about.

With all the good things I been hearing about it Linux/Ubuntu, after all this time I thought finally I could ditch windows and move on to a life with no instability and no insecurity…looks like i got into more trouble than good. Now, having a second opinion.

So, far my opinion is, there is only one thing: ‘Nice interface’.

Its a change, with a learning curve but maybe I’ll give it a few more days, see how it goes but unsure about it. For the moment its like a testing ground for poking around in the dark.

9.22pm Linux has bug in it and needs to be fixed. Anything you click on does not respond, it responds only after repeated attempts of poking at it. Internet is slower than windows even though the speed of both have been measured.
9.30pm working with linux all day, feels like its a cartoon. There is a reason and difference between paid software and free software and now i felt it and see it.
9.38pm Linux is not a replacement for windows
9.47pm trying to use gedit to save a file. Its better than notepad and you can save by clicking on the disk icon but to save it in a different place, there is no file menu or one included in the disk icon to do a ‘save as…’ to save in a different place.
9.50pm you have to be really, very intelligent to realise the ‘file, save as’ menu is not associated with gedit its associated with the taskbar on the top.
10.50pm had enough of Ubuntu for a day, going back to windows 7
Conclusion: Ubuntu is a disaster! , its like selling a old banged-up car with a nice bird on it, thats what the red cloak is on the desktop. Even as I write this blog, the layout is a bit messed up which I never encounter when writing it in Windows. Maybe linux is for programmers not to get any real work done.
Overall, linux is an outdated piece of software, operating system, kernal or whatever you want to call it because most of the things in Linux will require you to use the Terminal (command line) . We live in the 21st century and are approaching the 22nd soon, we went well past the days of DOS operating system but linux continues in the footstep of the command line or ‘terminal’, what is this an airport ?!
Many people think they are really technical because they use linux. That is partly true because they are programmers, like the command prompt – the age old way of doing things and simply because ‘linux’ sounds a bit new and complicated for the not so technical and to those who haven’t used linux aka windows/mac users .
The good thing about it is in Windows, your either stuck using the boring default desktop theme, or risking corruption or failure by installing a third-party shell.

To use linux you need to become familiar with the Linux operating system which requires patience as well as a strong learning curve. You must have the desire to read and figure things out on your own, rather than having everything done for you – no thanks, I would like to get my videos edited, applications installed, type the email, word process the documents, print, scan, etc, etc, do the important things that need doing not messing around, trying to fix some broken tool.

Real linux (not ubuntu and the similar) is all about scripting but why re-invent the wheel with a script that will clear files from a directory such as:
#!/bin/bash
# Cleanup, version 3# Warning:
# ——-
# This script uses quite a number of features that will be explained
#+ later on.
# By the time you’ve finished the first half of the book,
#+ there should be nothing mysterious about it.LOG_DIR=/var/log
ROOT_UID=0 # Only users with $UID 0 have root privileges.
LINES=50 # Default number of lines saved.
E_XCD=86 # Can’t change directory?
E_NOTROOT=87 # Non-root exit error.# Run as root, of course.
if [ “$UID” -ne “$ROOT_UID” ]
then
echo “Must be root to run this script.”
exit $E_NOTROOT
fi

if [ -n “$1” ]
# Test whether command-line argument is present (non-empty).
then
lines=$1
else
lines=$LINES # Default, if not specified on command-line.
fi

# Stephane Chazelas suggests the following,
#+ as a better way of checking command-line arguments,
#+ but this is still a bit advanced for this stage of the tutorial.
#
# E_WRONGARGS=85 # Non-numerical argument (bad argument format).
#
# case “$1” in
# “” ) lines=50;;
# *[!0-9]*) echo “Usage: `basename $0` file-to-cleanup”; exit $E_WRONGARGS;;
# * ) lines=$1;;
# esac
#
#* Skip ahead to “Loops” chapter to decipher all this.

cd $LOG_DIR

if [ `pwd` != “$LOG_DIR” ] # or if [ “$PWD” != “$LOG_DIR” ]
# Not in /var/log?
then
echo “Can’t change to $LOG_DIR.”
exit $E_XCD
fi # Doublecheck if in right directory before messing with log file.

# Far more efficient is:
#
# cd /var/log || {
# echo “Cannot change to necessary directory.” >&2
# exit $E_XCD;
# }

tail -n $lines messages > mesg.temp # Save last section of message log file.
mv mesg.temp messages # Rename it as system log file.

# cat /dev/null > messages
#* No longer needed, as the above method is safer.

cat /dev/null > wtmp # ‘: > wtmp’ and ‘> wtmp’ have the same effect.
echo “Log files cleaned up.”
# Note that there are other log files in /var/log not affected
#+ by this script.

exit 0
# A zero return value from the script upon exit indicates success
#+ to the shell.

when you can simply open a folder with a click of a mouse and delete the contents of folder/directory.

The above is the actual script or lines of code you need to write or download and execute in order to delete a folder of files. How efficient!

It doesn’t feel like linux is for people to do serious work. I know people who just want to type their documents, email and browse, or just run their business, simple.

THE MOST IMPORTANT FACT IS I HAVE NEVER SEEN ANY USER IN REAL LIFE USE LINUX. But i do know one or two installed it for test purposes to see what its like and then they ditched it, so i think its fake as well, although Unix isn’t since I have seen it in a University lab.

It looks like partly, linux is for those people who had a passion for dos and windows came in and they got left out of using dos and missed it a lot and then someone came out with their own idea of linux which will carry on using the command line.

As ‘James’ talks about Linux in his blog it seem linux is a fan-boyz club who just like tweaking the system even worse than windows. Linux is all about code and programming although the newer version of linux are more about trying out different shells as if you do that in windows you will corrupt the file system.

Advertisements

4 thoughts on “Why Linux is Rubbish

  1. linux is for linux users and people who enjoy command line junk. Bet they all grew up with ZX Spectrums. Even the latest distros of mint are useless.

  2. Linux is also good for those people who don’t want to spend over $100 each time Microsoft wants to twiddle with Windows (piracy aside).

    If more computers were shipped with Linux, things would be different.

    I can’t be too impartial in this matter since I am IT-proficient and have to use Linux (even at server level) at work. Linux on desktop isn’t bad, you just have to have the time to look things up, even to write them down for future reference. Once you have some experience things look different. Even I had a hard time with some Linux systems, and you should enjoy what you’re doing, else you may as well stick with Windows (if you have the money at hand, that is).

  3. Having tried to run Linux off disc to test as a replacement for XP I agree Linux is rubbish. I have tried Zorin in various versions and MX14 and each time get a small black and white oblong top left with very tiny writing in it. Have looked at suggestions to fix this and all suggestions are written by people who are not catering for people who just want to plug and play – which you can with Windows.

    1. Have you tried Linux Ubuntu ? it installs easily, easy to use and good. However, it cant come too near to windows 7. Remember windows 7 home premium is a paid for OS so it looks and feels premium but there is a lot of windows software you cant run on linux.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s